Ttrss - maj impossible -une version plus récente de la moulinette

fr
#1

Yunohost me signale qu’il y a une mise à jour pour Ttrss et quand je la lance, j’ai le message suivant dans les logs de l’interface

WARNING:root:unable to upgrade apps: [Errno 1] ttrss nécessite une version plus récente de la moulinette

Comment faire pour corriger ça?

#2

Bonjour Genma;

j’ai trouvé une erreur similaire dans la forum
et la personne proposait de mettre à jour moulinette via apt-get
moulinette is a .deb package, it is updated via **apt-get upgrade**

bonne chance.

#3

D’autres ont le même soucis, on en discute en anglais ici Cannot upgrade ttrss
Je traduirai la solution en français dès qu’elle sera dispo.

#4

thank but, personally I could follow in english too, and I think the problem is more 2.4 than ttrss

#5

Today it’s still the case. No update was provided? Anyone else has the same?

1 Like
#6

La mise à jour de ttrss nécessite Yunohost 2.4

La procédure de mise à niveau vers Yunohost 2.4 devrait arriver sous peu.

#7

Effectivement je confirme, en 2.4 ca marche (j’ai migré).

#8

Salut, pourrais-tu nous expliquer stp comment tu as procédé à la migration ? Merci.

#9

J’ai trouvé la solution sur un pad. Mais c’est pas encore officialisé. Ca devrait arriver dans la doc. officielle. Donc si on fait ça, **on passe en “testing”. A voir si on sait ce que l’on fait. A réserver aux personnes expérimentées, qui ont des sauvegardes et sauront corriger les problèmes **

  1. Add testing repository
    echo “deb http://repo.yunohost.org/debian jessie stable testing” >> /etc/apt/sources.list.d/yunohost.list
    => J’ai modifié le fichier /etc/apt/sources.list.d/yunohost.list à la main pour remplacer la ligne avec “megusta” par celle là.
  1. apt-get update
  1. apt-get install yunohost
    (this step is necessary because the dependencies have changed, and some have been removed)

  2. yunohost service regen-conf -f
    (it will overwrite all your services’ configurations, apply carefully if you have made custom changes)
    => Ca je n’ai pas fait. J’ai des fichiers personnalisés.

  1. apt-get autoremove
    (this will remove packages necessary for previous Yunohost versions, but not anymore)
#10

Ok, j’ai presque le même soucis, mais la mise à jour risque d’être plus délicate, je suis encore avec la version wheezy de Yunohost…
quoique les versions semblent se ressembler ~$ sudo yunohost --version moulinette: 2.2.1.1 moulinette-yunohost: 2.2.6 yunohost-admin: 2.2.1
`$ cat sources.list

deb cdrom:[Debian GNU/Linux 6.0.8 Wheezy - Unofficial i386 CD Binary-1 20131123-15:09]/ wheezy main non-free

#deb cdrom:[Debian GNU/Linux 6.0.8 Wheezy - Unofficial i386 CD Binary-1 20131123-15:09]/ wheezy main non-free

deb http://ftp.debian.org/debian wheezy main non-free contrib
deb-src http://ftp.debian.org/debian wheezy main non-free contrib

deb http://repo.yunohost.org/ megusta main

deb http://security.debian.org/ wheezy/updates main contrib non-free
deb-src http://security.debian.org/ wheezy/updates main contrib non-free

wheezy-updates, previously known as ‘volatile’

deb http://ftp.debian.org/debian wheezy-updates main contrib non-free
deb-src http://ftp.debian.org/debian wheezy-updates main contrib non-free$ cat /etc/debian_version
7.11`
puisque, j’imagine, vous êtes déjà sur debian Jessie ?

#11

La procédure de mise à jour est détaillée en bas de l’annonce de la 2.4:

#12

Bon, j’ai voulu lancer une mise à jour après des mois (années?) d’hésitation et évidemment j’ai tout bloqué, pas assez de place du coup le serveur est inutilisable… Je vais réinstaller une Jessie, par contre je cherche comment bien partitionner le disque dur, quelle taille allouer et quelles partitions…

#13

Est-ce que tu ne pourrais pas déjà faire de la place en nettoyant des dossiers comme
/var/log et /var/apt/cache?
Pour être plus tranquille, tu peux séparer suivre les différents tutoriaux pour les serveurs, et partitionner en /, /var pour les logs, /var/www pour les applications et /home qui contient les fichiers owncloud, les sauvegardes de Yunohost etc. Si une est saturée, tu as toujours accès à la machine pour faire du nettoyage ou déplacer une partition ou autre, tant que / est pas complet.
Pour la place, tout dépend de ce que as à installer etc. Tu avais quelle taille actuellement?
Perso j’ai 3,5 giga d’occupé en tout (système, données, applications) mais mon owncloud est vide par exemple.

#14

Bonjour, non, là je crois que j’ai tout bloqué, j’ai éditer le sources.list pour upgrader de wheezy à jessie, mais la partition root étant trop petite (tmp aussi peut-être), la mise à jour ne s’est pas bien terminée avec une erreur de code (1) fatale car manque d’espace. Du coup le serveur ne boote même plus et bloque…

#15

A l’époque, l’install de la première version de yuno m’avait partitionné le disque avec des partitions trop petites…